All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
pow.hpp File Reference
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/rev/scal/fun/sqrt.hpp>`
`#include <boost/math/special_functions/fpclassify.hpp>`
`#include <cmath>`
`#include <limits>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

var | stan::math::pow (const var &base, const var &exponent)
| Return the base raised to the power of the exponent (cmath). More...
var | stan::math::pow (const var &base, const double exponent)
| Return the base variable raised to the power of the exponent scalar (cmath). More...
var | stan::math::pow (const double base, const var &exponent)
| Return the base scalar raised to the power of the exponent variable (cmath). More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.